BasicFileChooserUI.DoubleClickListener (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicFileChooserUI.DoubleClickListener

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--javax.swing.plaf.basic.BasicFileChooserUI.DoubleClickListener

All Implemented Interfaces:
  EventListener, MouseListener

Enclosing class:
  BasicFileChooserUI

protected class BasicFileChooserUI.DoubleClickListener
extends MouseAdapter

Constructor Summary
`BasicFileChooserUI.DoubleClickListener(JList list)`

Method Summary
`void` | `mouseClicked(MouseEvent e)` Invoked when the mouse has been clicked on a component.
`void` | `mouseEntered(MouseEvent e)` The JList used for representing the files is created by subclasses, but the selection is monitored in this class.

Methods inherited from class java.awt.event.MouseAdapter
`mouseExited, mousePressed, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicFileChooserUI.DoubleClickListener

    public BasicFileChooserUI.DoubleClickListener(JList list)

Method Detail

### mouseEntered

    public void mouseEntered(MouseEvent e)

  The JList used for representing the files is created by subclasses, but the selection is monitored in this class. The TransferHandler installed in the JFileChooser is also installed in the file list as it is used as the actual transfer source. The list is updated on a mouse enter to reflect the current data transfer state of the file chooser.

  Specified by:
    `mouseEntered` in interface `MouseListener`
  Overrides:
    `mouseEntered` in class `MouseAdapter`

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Description copied from class: `MouseAdapter`
  Invoked when the mouse has been clicked on a component.

  Specified by:
    `mouseClicked` in interface `MouseListener`
  Overrides:
    `mouseClicked` in class `MouseAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.